### Constructor

# Clutter PipelineNode new

#### Declaration [src]

    ClutterPaintNode*
    clutter_pipeline_node_new (
      CoglPipeline* pipeline
    )

#### Description [src]

Creates a new `ClutterPaintNode` that will use the `pipeline` to paint its contents.

This function will acquire a reference on the passed `pipeline`, so it is safe to call `g_object_unref()` when it returns.

#### Parameters

`pipeline`

  Type: `CoglPipeline`

  A Cogl pipeline state object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ClutterPaintNode`

The newly created `ClutterPaintNode`. Use `clutter_paint_node_unref()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.